FogBugz Technical Support

A forum for technical support discussion related to Fogbugz.
The current FogBugz Knowledge Base can be found at http://help.fogcreek.com/fogbugz.

Posts by Fog Creek Employees are marked:

Documentation
Release Notes
Network Status

Can't signon to Administrator after 3.0 -> 4.0 upgrade

I just installed 4.0 over 3.0.  I went to the FogBugz main screen and see the message about upgrading the database.  The screen offers me the opportunity to login.  I select 'Administrator' and FB comes back and tells me:

You must be an administrator to upgrade the FogBugz database.

I've tried all the userids.  None work.  We run without passwords.

Now what?
Mark Wrenn Send private email
Tuesday, March 29, 2005
 
 
We are using Access for our database.  I opened the 'Person' table and found that the Administrator user has the fAdministrator field set to 1.
Mark Wrenn Send private email
Tuesday, March 29, 2005
 
 
I took a look at your code.

<% If (Request("pre") = "preLogon") And ((IsLoggedIn And Not IsAdmin) Or bNotEnoughLicenses) Then %>
<BR><span class="errorMessage"><%=FB_MUST_BE_ADMIN_TO_UPGRADE%></span><BR>
<% End If %>

Apparently this message will appear if you are not an admin or there are not enough licenses. 

Maybe our license file didn't upgrade?
Mark Wrenn Send private email
Tuesday, March 29, 2005
 
 
Well...I gave up, restored my 3.0 folder, and reinstalled 4.0. 

It's working.

I did two things differently:
1. The first time I upgraded to 4.0 I had shutdown the IIS FogBugz website.  The second time I left it running.
2. The first time I ignored the Norton Antivirus message.  The second time I turned off active scanning (I can't remember what they call it).
Mark Wrenn Send private email
Tuesday, March 29, 2005
 
 

This topic is archived. No further replies will be accepted.

Other recent topics Other recent topics
 
Powered by FogBugz Bug Tracking and Evidence-Based Scheduling.